Name:		cldr-emoji-annotation	
Version:	43.1
Release:	2
Summary:	Emoji annotation files in CLDR 
License:	Unicode-DFS-2016
URL:		https://github.com/unicode-org/cldr
Source0:	https://github.com/unicode-org/cldr/archive/refs/tags/release-43-1.zip#/cldr-release-43-1.zip

BuildRequires:	autoconf automake

BuildArch:  	noarch

%description
This package copies CLDR annotation files for the versioned tarball

%package 	devel
Summary:    	Files for development of cldr-emoji-annotation
Requires:   	%{name} = %{version}-%{release} pkgconfig
BuildArch:  	noarch

%description devel
Files for development of cldr-emoji-annotation

%package_help

%prep
%autosetup -n cldr-release-43-1


%install
pushd $PWD
ANNOTATION_DIR=common/annotations
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml $RPM_BUILD_ROOT$CLDR_DIR/$xml
done
popd

ANNOTATION_DIR=common/annotationsDerived
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml $RPM_BUILD_ROOT$CLDR_DIR/$xml
done
popd

DTD_DIR=common/dtd
CLDR_DIR=%{_datadir}/unicode/cldr/$DTD_DIR
pushd $DTD_DIR
for dtd in *.dtd ; do
    install -pm 644 -D $dtd $RPM_BUILD_ROOT$CLDR_DIR/$dtd
done
popd

install -pm 755 -d $RPM_BUILD_ROOT%{_datadir}/pkgconfig
cat >> $RPM_BUILD_ROOT%{_datadir}/pkgconfig/%{name}.pc <<_EOF
prefix=/usr


%files
%defattr(-,root,root)
%doc README.md
%license unicode-license.txt
%{_datadir}/unicode/

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/*.pc

%files  help
%defattr(-,root,root)
%doc README.md

%changelog
* Thu Jun 13 2024 wangkai <13474090681@163.com> - 43.1-2
- License compliance rectification

* Wed Oct 18 2023 wulei <wu_lei@hoperun.com> - 43.1-1
- Update to 43.1

* Wed Jun 10 2020 zhujunhao <zhujunhao8@huawei.com> - 36.12.120200305_0-1
- update to 36.12.120200305_0

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 33.1.0_0-3
- Package init
